﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using HeuristicLab.Services.Hive.Statistics.Models;

namespace HeuristicLab.Services.Hive.Statistics.Controllers {
  public class LoginRequiredController : Controller {
      
    [Authorize]
    public ActionResult UserTask() {
      var result = new UserModel {
        UserName = User.Identity.Name
      };
      return View(result);
    }

    [Authorize]
    public ActionResult Admin() {
      var result = new AdminModel {
        IsAdmin = false,
        UserName = User.Identity.Name
      };
      if (User.IsInRole("Hive Administrator")) {
        result.IsAdmin = true;
      }

      return View(result);
    }
  }
}
