﻿/* This file contains the method for shrinking and expanding the collapsable sections */

$(".collapse").click(function () {
  if ($(this).html() == "-") {
    $(this).parent().children("canvas, div, fieldset, label").fadeOut();
    $(this).html("+");
  }
  else {
    $(this).parent().children("canvas, div, fieldset, label").fadeIn();
    $(this).html("-");
  }
});

/* Because Task chart sections are created on the fly adding an event listener
  was impossible. Therefore this function is hardcoded as an HTML onclick event
  for the dynamically created buttons of these sections */
function collapseSection(caller) {
  var jqCaller = $(caller);
  if (jqCaller.html() == "-") {
    jqCaller.parent().children("canvas, div, fieldset, label").fadeOut();
    jqCaller.html("+");
  }
  else {
    jqCaller.parent().children("canvas, div, fieldset, label").fadeIn();
    jqCaller.html("-");
  }
}